n = 8;

f_1 = [1, 0]';
f_2 = [sqrt(0.5), sqrt(0.5)]';
f_3 = [0, 1]';
f_4 = [-sqrt(0.5), sqrt(0.5)]';
f_5 = [-1, 0]';
f_6 = [-sqrt(0.5), -sqrt(0.5)]';
f_7 = [0, -1]';
f_8 = [sqrt(0.5), -sqrt(0.5)]';

F = [f_1, f_2, f_3, f_4, f_5, f_6, f_7, f_8];
G = ggsp(n, F);
